<?php
define('LANG_PATH', 'langs/');
setLanguage();

QUnit_Global::includeClass('QCore_ForgotPassword');
QUnit_Global::includeClass('Affiliate_PZone_Views_MainPage');

class Affiliate_PZone_Views_ForgotPasswd extends Affiliate_PZone_Views_MainPage
{

    public $qcore_fpwd;

    function Affiliate_PZone_Views_ForgotPasswd() {
        $this->qcore_fpwd = QUnit_Global::newObj('QCore_ForgotPassword');
        $this->qcore_fpwd->user_type = USERTYPE_USER;
        $this->qcore_fpwd->initTemplateEngine();

        parent::__construct();
    }

    //------------------------------------------------------------------------

    function process()
    {
        if(!empty($_REQUEST['action']))
        {
            switch($_REQUEST['action'])
            {
              case 'check_user':
                    $this->qcore_fpwd->processCheckUser();
              break;
            }
        }

        $this->assign('p_title', L_G_DEFAULT_SUBJ_AFF_EMAIL_FORGOTPAS2);

        $this->assignData();
        $this->addContent('header');
        $this->addContent('forgotpasswd');
        $this->addContent('footer');
    }

    //--------------------------------------------------------------------------

}
?>
